<?php

namespace LQDN\Tests\Functional\Finder;

use LQDN\Tests\Functional\FunctionalTest;

class AddressFinderTest extends FunctionalTest
{
    public function testFindByUserId()
    {
        $addresses = $this->container['address_finder']->findByUserId(1);
        $this->assertCount(3, $addresses);

        // Check the third address which have an id of 4
        $expectedAddress = [
            'id' => '4',
            'nom' => 'Third address',
            'adresse' => '3 rue Ménars',
            'adresse2' => null,
            'codepostal' => '75003',
            'ville' => 'Paris',
            'etat' => null,
            'pays' => 'France',
            'alias' => 'Third address',
            'user_id' => '1',
            'defaut' => '0',
        ];
        $this->assertEquals($expectedAddress, $addresses[4]);
    }
}
